
@import "../../assets/sass/to-import.scss";

.column {
  padding-left: 0;
  padding-right: 0;
}

.active-list-container {
  padding-left: 4px;
  padding-right: 4px;
}

.chat-container {
  border: none;
  margin-bottom: 0;
  @include box-shadow($x: -2px, $y: 0px);
  @include border-radius(0);
  background-color: #f2f2f3;
  .panel-heading {
    height: 40px;
    padding: 8px 15px;
    margin: 0;
    margin-bottom: 4px;
    border: none;
    @include border-radius-separate($topLeftRadius: 0, $topRightRadius: 0, $bottomLeftRadius: 5px, $bottomRightRadius: 5px);
    background-color: whitesmoke;
    color: black;
    @include box-shadow($x: 0px, $y: 2px);

    span {
      font-size: 12px;
      color: #BDBDBD;
    }

    button {
      padding: 6px 10px;
      margin-top: -5px;
    }
  }

  .msg-container {
    margin: 0;
    border: none;
    height: calc(100vh - 171px);
    overflow-y: scroll;
    @include transition("filter .2s ease-in 0s");
  }

  .panel-footer {
    @include transition("filter .2s ease-in 0s");

    form .input-group {
      width: 100%;
    }
  }
}

.blurred {
  @include css3-prefix(filter, blur(2px));
}

#noMsg {
  width: 100%;
  height: 100%;
  padding-top: calc((100vh - 171px) / 2 - 30px);
}

.notification {
  position: absolute;
  padding: 15px;
  margin: 0;
  top: 24px;
  right: 10px;
  z-index: 3;
  width: 320px;
  background-color: #E8F5E9;
  border: 2px solid #18bc9c;
  @include border-radius(10px);
  @include box-shadow($x: 0px, $y: 0px);
  @include animation("notification .4s ease-in-out 0s 1");

  h4 {
    margin-top: 0;
    span {
      font-size: 16px;
    }
  }

  p {
    margin-left: 4px;
    font-size: 14px;
  }
}

@include keyframes(notification) {
  0% {
    @include opacity(0);
    @include transform(translateX(330px));
  }

  80% {
    @include opacity(1);
    @include transform(translateX(-12px));
  }

  85% {
    @include opacity(1);
    @include transform(translateX(2px));
  }

  100% {
    @include opacity(1);
    @include transform(translateX(0));
  }
}

@media only screen and (max-width: 767.99px) {
  .active-list-container {
    display: none;
    position: absolute;
    top: 100px;
    left: 0;
    z-index: 3;
    margin: 0;
    height: calc(100vh - 100px);
    width: 220px;
    padding-top: 21px;
    background-color: #ffffff;
    @include box-shadow($x: 2px, $y: 0px);

    &.open {
      display: block;
    }
  }

  .notification {
    top: -52px;
    right: 8vw;
    left: 8vw;
    width: 84vw;
    z-index: 1001;
    @include animation("notification-mobile .4s ease-out 0s 1");
  }
}

@include keyframes(notification-mobile) {
  0% {
    @include opacity(0);
    @include transform(translateY(-200px));
  }

  100% {
    @include opacity(1);
    @include transform(translateX(0));
  }
}
